Name: fluxbox
Version: 0.9.12
Release: alt0.M24.1
Summary: Fast and lightweight window manager
Summary(ru_RU.CP1251):     
Summary(ru_RU.KOI8-R):     
Summary(ru_RU.UTF-8): Легкий и быстрый оконный менеджер
License: MIT
Group: Graphical desktop/Other
Url: http://fluxbox.org
Packager: php-coder <php-coder@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: %name.menu-methods
Source3: %name.wmsession
Source4: %name-icons.tar.bz2

Patch0: %name-0.9.12-alt-translation-clock.patch
Patch1: %name-0.9.12-alt-makefile-default_style.patch
Patch2: %name-0.9.12-alt-makefile-configure-with_menu_keys_init_options.patch.bz2
Patch3: %name-0.9.12-alt-makefile-configure-src-encoding.patch
Patch4: %name-0.9.12-alt-makefile-configure-with_locale_path_option.patch.bz2
Patch5: %name-0.9.11-svytogor-src-utf8_slow_start.patch

Requires: man >= 1.5k-alt1
Provides: %name >= 0.1.14-alt1

BuildRequires: XFree86-devel XFree86-libs fontconfig-devel freetype2-devel
BuildRequires: gcc-c++ libstdc++-devel pkgconfig xpm-devel zlib-devel imlib2-devel

%description
Fluxbox designed for those peoples that unlike huge and feature-overloaded window manages. It has a lot of good features and one of them it's high speed. It's very simply for configurate and it compiled with support to KDE and GNOME applets. In addition this package include 22 original themes for wm. Enjoy! :))

%description -l ru_RU.CP1251
Fluxbox   ,        .     ,      .           KDE  Gnome.       22    . Enjoy! :))

%description -l ru_RU.KOI8-R
Fluxbox   ,        .     ,      .           KDE  Gnome.       22    . Enjoy! :))

%description -l ru_RU.UTF-8
Fluxbox предназначен для тех, кто не любит навороченные и неповоротливые оконные менеджеры. Он обладает множеством различных достоинств, главным из которых является его скорость. Он прост в настройке и скомпилирован с поддержкой аплетов из KDE и Gnome. Кроме того в состав пакета входят 22 оригинальных темы для него. Enjoy! :))

%prep
%setup -q -a4
%patch0 -p1
%patch1 -p1
%patch2 -p1

pushd nls

for i in * .; do
if [ -d "$i" ]; then
%__subst 's|$(pkgdatadir)/nls|$(LOCALE_PATH)|g' $i/Makefile.{am,in}
%__subst 's|NLSTEST = @NLS@|LOCALE_PATH = @LOCALE_PATH@\
NLSTEST = @NLS@|g' $i/Makefile.{am,in}
fi
done

%__cp -r ru_RU ru_RU.CP1251
%__cp -r ru_RU ru_RU.UTF-8
%__mv ru_RU ru_RU.KOI8-R

%__rm -f ru_RU.{CP1251,UTF-8}/Translation.m

iconv -f koi8-r -t cp1251 ru_RU.KOI8-R/Translation.m > ru_RU.CP1251/Translation.m
iconv -f koi8-r -t utf8 ru_RU.KOI8-R/Translation.m > ru_RU.UTF-8/Translation.m

%__subst 's|KOI8-R|CP1251|' ru_RU.CP1251/Translation.m
%__subst 's|KOI8-R|UTF-8|' ru_RU.UTF-8/Translation.m

%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.CP1251|' ru_RU.CP1251/Makefile.{am,in}
%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.UTF-8|' ru_RU.UTF-8/Makefile.{am,in}
%__subst 's|THE_LANG = ru_RU|THE_LANG = ru_RU.KOI8-R|' ru_RU.KOI8-R/Makefile.{am,in}

%__subst 's|subdir = nls/ru_RU|subdir = nls/ru_RU.CP1251|' ru_RU.CP1251/Makefile.in
%__subst 's|subdir = nls/ru_RU|subdir = nls/ru_RU.UTF-8|' ru_RU.UTF-8/Makefile.in
%__subst 's|subdir = nls/ru_RU|subdir = nls/ru_RU.KOI8-R|' ru_RU.KOI8-R/Makefile.in

popd

%patch3 -p1
%patch4 -p1
%patch5 -p1

echo -e "session.screen0.antialias:\ttrue" >> data/init.in

%build

%__autoheader

%__autoconf

%configure  --with-style=%_datadir/%name/styles/Cthulhain \
			--with-init=%_sysconfdir/X11/%name/init \
			--with-keys=%_sysconfdir/X11/%name/keys \
			--with-menu=%_sysconfdir/X11/%name/menu \
			--enable-nls \
			--enable-imlib2 \
			--with-x

%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang --custom-dir-script="
s:%buildroot::
s:\(.*/share/fluxbox/nls/\)\(C\|[a-z][^/_@]\+\):%lang(\2) \1\2:
s:^\([^%].*\)::
s:%lang(C) ::" %name

%__install -pD -m 644 %name-64.xpm %buildroot%_liconsdir/FluxBox.xpm
%__install -pD -m 644 %name-48.xpm %buildroot%_liconsdir/%name.xpm
%__install -pD -m 644 %name-32.xpm %buildroot%_iconsdir/%name.xpm
%__install -pD -m 644 %name-16.xpm %buildroot%_miconsdir/%name.xpm

%__install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name

%__install -pD -m 755 %SOURCE2 %buildroot%_sysconfdir/menu-methods/%name

%__install -pD -m 644 %SOURCE3 %buildroot%_sysconfdir/X11/wmsession.d/07%name

%__mkdir_p %buildroot%_mandir/ru/man1
iconv -f utf8 -t koi8-r doc/ru/%name.1 > %buildroot%_mandir/ru/man1/%name.1

%__mkdir_p %buildroot%_sysconfdir/X11/%name
%__mv %buildroot%_datadir/%name/{init,keys} %buildroot%_sysconfdir/X11/%name

%__rm -f %buildroot%_datadir/%name/menu
:> %buildroot%_sysconfdir/X11/%name/menu

%post
%update_menus
%update_wms

%postun
%clean_menus
%clean_wms

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%doc doc/Coding_style data/README.menu data/README.style
%_bindir/*
%_man1dir/*
%_mandir/ru/man1/*
%_iconsdir/*/*
%_iconsdir/%name.xpm
%_menudir/*
%_sysconfdir/menu-methods/*
%config %_sysconfdir/X11/wmsession.d/*

%dir %_sysconfdir/X11/%name
%config %_sysconfdir/X11/%name/[!m]*
%ghost %verify(not mtime md5 size) %_sysconfdir/X11/%name/menu

%dir %_datadir/%name
%dir %_datadir/%name/nls
%_datadir/%name/styles


%changelog
* Fri Apr 29 2005 php-coder <php-coder@altlinux.ru> 0.9.12-alt0.M24.1
- First ALTLinux build
- It's using title() instead of $title in menu-methods
- It's using term() instead of xterm in menu-methods
- Control points names on the menu translating "on the fly" when menu is generating
- longtitle is in English menu file
- %%setup is calling with -q option to make terminal output cleanly
- Added utf8_slow_start patch, which fixes the problem with delay at startup in UTF locale (thnx Sergey Kuleshov <svytogor@gentoo.org>)

